local CinePortal = CinematicPortal
local addOnName = CinePortal.name
local addOnDispName = CinePortal.dispName
local author = CinePortal.author
local version = CinePortal.version
local chapterDesc = CinePortal.ChapterDesc

-----
--LAM Panel
-----

local panelData = {
	type = "panel",
	name = addOnDispName,
	displayName = addOnDispName,
	author = author,
	version = version,
}

local optionsTable = {
	{
		type = "header",
		name = CINE_PORTAL_HEADER,
		width = "full",
	},
	{
		type = "description",
		text = GetZoneDescriptionById(1244),
		title = CINE_PORTAL_NAME_TUTORIAL,
		width = "full",
	},
	{
		type = "button",
		name = CINE_PORTAL_NAME_TUTORIAL,
		func = function() PlayVideoById(CINE_PORTAL_ID_TUTORIAL, true, VIDEO_SKIP_MODE_REQUIRE_CONFIRMATION_FOR_SKIP) end,
		--tooltip = "",
		width = "full",
	},
	{
		type = "divider",
		width = "full",
	},
	{
		type = "description",
		text = GetZoneDescriptionById(586),
		title = CINE_PORTAL_PLANEMELD,
		width = "full",
	},
	{
		type = "button",
		name = CINE_PORTAL_NAME_SOULLESS,
		func = function() PlayVideoById(CINE_PORTAL_ID_SOULLESS, true, VIDEO_SKIP_MODE_REQUIRE_CONFIRMATION_FOR_SKIP) end,
		--tooltip = "",
		width = "full",
	},
	{
		type = "description",
		text = function() return select(5, GetMapInfoById(27)) end,
		title = CINE_PORTAL_PLANEMELD,
		width = "full",
	},
	{
		type = "button",
		name = CINE_PORTAL_NAME_PLANEMELD,
		func = function() PlayVideoById(CINE_PORTAL_ID_PLANEMELD, true, VIDEO_SKIP_MODE_REQUIRE_CONFIRMATION_FOR_SKIP) end,
		--tooltip = "",
		width = "full",
	},
	{
		type = "divider",
		width = "full",
	},
	{
		type = "description",
		text = chapterDesc[CHAPTER_VOLCANO],
		title = CINE_PORTAL_DAEDRIC_WAR,
		width = "full",
	},
	{
		type = "button",
		name = CINE_PORTAL_NAME_MORROWIND,
		func = function() PlayVideoById(CINE_PORTAL_ID_MORROWIND, true, VIDEO_SKIP_MODE_REQUIRE_CONFIRMATION_FOR_SKIP) end,
		--tooltip = "",
		width = "full",
	},
	{
		type = "description",
		text = chapterDesc[CHAPTER_GLACIER],
		title = CINE_PORTAL_DAEDRIC_WAR,
		width = "full",
	},
	{
		type = "button",
		name = CINE_PORTAL_NAME_SUMMERSET,
		func = function() PlayVideoById(CINE_PORTAL_ID_SUMMERSET, true, VIDEO_SKIP_MODE_REQUIRE_CONFIRMATION_FOR_SKIP) end,
		--tooltip = "",
		width = "full",
	},
	{
		type = "divider",
		width = "full",
	},
	{
		type = "description",
		text = chapterDesc[CHAPTER_MESA],
		title = CINE_PORTAL_CHAPTER_ELSWEYR,
		width = "full",
	},
	{
		type = "button",
		name = CINE_PORTAL_NAME_ELSWEYR,
		func = function() PlayVideoById(CINE_PORTAL_ID_ELSWEYR, true, VIDEO_SKIP_MODE_REQUIRE_CONFIRMATION_FOR_SKIP) end,
		--tooltip = "",
		width = "full",
	},
	{
		type = "divider",
		width = "full",
	},
	{
		type = "description",
		text = chapterDesc[CHAPTER_SCARP],
		title = CINE_PORTAL_CHAPTER_SKYRIM,
		width = "full",
	},
	{
		type = "button",
		name = CINE_PORTAL_NAME_GREYMOOR,
		func = function() PlayVideoById(CINE_PORTAL_ID_GREYMOOR, true, VIDEO_SKIP_MODE_REQUIRE_CONFIRMATION_FOR_SKIP) end,
		--tooltip = "",
		width = "full",
	},
	{
		type = "divider",
		width = "full",
	},
	{
		type = "description",
		text = chapterDesc[CHAPTER_BADLANDS],
		title = CINE_PORTAL_CHAPTER_BLACKWOOD,
		width = "full",
	},
	{
		type = "button",
		name = CINE_PORTAL_NAME_BLACKWOOD,
		func = function() PlayVideoById(CINE_PORTAL_ID_BLACKWOOD, true, VIDEO_SKIP_MODE_REQUIRE_CONFIRMATION_FOR_SKIP) end,
		--tooltip = "",
		width = "full",
	},
	{
		type = "divider",
		width = "full",
	},
	{
		type = "description",
		text = chapterDesc[CHAPTER_DUNE],
		title = CINE_PORTAL_CHAPTER_HIGH_ISLE,
		width = "full",
	},
	{
		type = "button",
		name = CINE_PORTAL_NAME_HIGH_ISLE,
		func = function() PlayVideoById(CINE_PORTAL_ID_HIGH_ISLE, true, VIDEO_SKIP_MODE_REQUIRE_CONFIRMATION_FOR_SKIP) end,
		--tooltip = "",
		width = "full",
	},
	{
		type = "divider",
		width = "full",
	},
	{
		type = "description",
		text = chapterDesc[CHAPTER_MAGMA],
		title = CINE_PORTAL_CHAPTER_NECROM,
		width = "full",
	},
	{
		type = "button",
		name = CINE_PORTAL_NAME_NECROM,
		func = function() PlayVideoById(CINE_PORTAL_ID_NECROM, true, VIDEO_SKIP_MODE_REQUIRE_CONFIRMATION_FOR_SKIP) end,
		--tooltip = "",
		width = "full",
	},
	{
		type = "description",
		text = chapterDesc[CHAPTER_PENINSULA],
		title = CINE_PORTAL_CHAPTER_GOLD_ROAD,
		width = "full",
	},
	{
		type = "button",
		name = CINE_PORTAL_NAME_GOLD_ROAD,
		func = function() PlayVideoById(CINE_PORTAL_ID_GOLD_ROAD, true, VIDEO_SKIP_MODE_REQUIRE_CONFIRMATION_FOR_SKIP) end,
		--tooltip = "",
		width = "full",
	},
}

-----
-----

local function OnLoad(e, addonName)
	if addonName ~= addOnName then return end

	local LAM = LibAddonMenu2
	LAM:RegisterAddonPanel(addOnName, panelData)
	LAM:RegisterOptionControls(addOnName, optionsTable)
end

EVENT_MANAGER:RegisterForEvent(addOnName, EVENT_ADD_ON_LOADED, OnLoad)